
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Feature #349

RFE: Install an AppData file

September 27, 2013 17:14 - Michael Schwendt

Status: Closed Start date: September 27, 2013

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 3.6   

Affects version:    

Description

Proposal: AppData files in all application packages?

https://lists.fedoraproject.org/pipermail/devel/2013-September/188799.html

[...]

http://people.freedesktop.org/~hughsient/appdata/

https://github.com/hughsie/appdata-tools

https://github.com/hughsie/fedora-appstream/tree/master/appdata-extra

History

#1 - September 27, 2013 21:29 - John Lindgren

From what I can see, this XML file would only be used by Fedora and specifically by GNOME Software on Fedora.  Is that correct?

#2 - September 27, 2013 22:00 - Michael Schwendt

No. It is related to AppStream, which is a cross-distro effort. The metadata is DE-agnostic, so it's not specific to the GNOME Software Center (aka

"gnome-software") that is being developed.

#3 - September 28, 2013 00:28 - John Lindgren

"Cross-distro effort" sounds like a PR buzzword to me, but regardless, if you want to write such a file, it could go under contrib/.

#4 - September 28, 2013 12:04 - Michael Schwendt

That may be true, but actually there have been/are other dists involved, and Fedora is late in the game: 

http://blog.tenstral.net/2013/05/packagekit-appstream-and-listaller-a-status-report.html

Creating such a file from the example is simple. It would be more beautiful with an official screenshot and an updatecontact address. There's no need

to rush IMO.

#5 - November 03, 2013 14:16 - Michael Schwendt

This is what I've added today:

http://pkgs.fedoraproject.org/cgit/audacious.git/plain/audacious.appdata.xml

Note that I have not specified an upstream contact email address and have not enabled the upstream screenshot.

#6 - January 22, 2015 17:49 - Thomas Lange

- Status changed from New to Closed

- Target version set to 3.6

July 06, 2025 1/2

https://lists.fedoraproject.org/pipermail/devel/2013-September/188799.html
http://people.freedesktop.org/~hughsient/appdata/
https://github.com/hughsie/appdata-tools
https://github.com/hughsie/fedora-appstream/tree/master/appdata-extra
http://blog.tenstral.net/2013/05/packagekit-appstream-and-listaller-a-status-report.html
http://pkgs.fedoraproject.org/cgit/audacious.git/plain/audacious.appdata.xml


Thanks for the template Michael.

I have updated it to comply with the latest specification and added three screenshots.

https://github.com/audacious-media-player/audacious/commit/62ef6272fbd088993d96c67f7f04f784bf755d88
